aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xrc.d/init.d/functions1
1 files changed, 1 insertions, 0 deletions
diff --git a/rc.d/init.d/functions b/rc.d/init.d/functions
index 14485d9c..d15f19a0 100755
--- a/rc.d/init.d/functions
+++ b/rc.d/init.d/functions
@@ -154,6 +154,7 @@ pidofproc() {
# Finally try to extract it from ps
ps ax | awk 'BEGIN { prog=ARGV[1]; ARGC=1 }
{ if ((prog == $5) || (("(" prog ")") == $5) ||
+ (("[" prog "]") == $5) ||
((prog ":") == $5)) { print $1 ; exit 0 } }' $1
}